Subject: [RRG] NIRA:Combining the hier. interdomain and the OSPF-intradomain network topology

From: [email-masked]
Date: Wed, 21 Nov 2007 05:49:45 EST

Another major aspect:
As with this model, each node (router) gets assigned a  
longitude/latitude-pair, this info is also available for each OSPF intra-domain  node. A combined 
network topology should be envisioned:
one part comes from the hierarchical interdomain network view, the other  
part from the OSPF-topology.
Example: Assumed, the AOL network runs routers both in Munich, Germany, as  
well as in Sausolito, US.
If the packet's destination is somewhere in Sausolito (not necessarily an  
AOL customer), it may take its route inside the AOL-network, being guided  by 
the geo-info rather than (although available) by prefix infos - and NOT by  the 
viewed Los Angeles node from the hierarchical interdomain topology  part !
 
I am convined that  many services as well as TE capabilities can and  will be 
created in the future based on such a combined topology view.
 
Heiner

---

From: Robin Whittle <[email-masked]>
Date: Thu, 22 Nov 2007 02:06:54 +1100

Hello Heiner,

In the last three or so months you have written 26 messages to this
list.  I think none of them have contained constructive criticism of
other peoples' proposals.  In general you have asserted that there
is a new way of solving the routing scaling problem.  So far, I
think you have only supplied poorly organised anecdotal accounts of
some aspects of what you are thinking about.

I believe that in order to contribute to the work of the Routing
Research Group you need to do one or both of:

1 - Constructively criticise other proposals - which means you
    provide detailed critiques, hopefully with suggestions on
    how the identified problems might be resolved.

2 - Provide a reasonably detailed proposal, in a coherent fashion.
    Some folks almost insist every proposal be an Internet Draft,
    but I don't.  For instance I think Brian's Carpenter's recent
    proposal (in a PDF) and Bill Herrin's TRRP site are perfectly
    good ways to develop ideas.  The proposal needs to be written
    in clear enough detail that people can readily understand the
    inner workings and the major challenges to developing and
    deploying the new architecture.  I think it is good to list the
    goals of the proposal, and the "non-goals" - things you are
    not trying to achieve, but which other proposals in this field
    might be tackling.

I don't think it is good enough to describe only the intermediate
mechanisms and outcomes of your proposed new routing architecture -
which is what I think your messages to date may amount to.  I think
you also need to explain in clear, concrete, practical, terms how
individual routers or other network elements must behave in order to
create these mechanisms and outcomes.

I do not think it is necessary for every proposal to apparently
solve every conceivable problem.  Such a requirement would stifle
the brainstorming process of tossing new ideas around.

Please provide a unified description of your proposal, with
concrete, low-level, network element behaviour descriptions - and
identify those aspects of your proposal you haven't yet worked out,
with the reasons why you think they may be practical.

  - Robin

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg